Subject: Problem with signing in
From: Marian Skalsky <[email-masked]>
To: [email-masked]
Date: Sat, 4 Nov 2023 14:34:55 +0100

Hi. I’m trying to buy the following lamp. I tried to register but the confirmation email was not sent to me and my account is still inactivated and I can’t log in and buy the item 🤦‍♂️🤦‍♂️🤦‍♂️

I tried to get the activation email several times. My email works well and the email is not in spam either.

What should I do?

Macey Geometric Ceramic Table Lamp

designerliving.com

Indeed ability to buy as guest wold be helpful too.

Thanks,
m.

Sent from a mobile phone